 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.HealthSymptomEntity;
import com.huimv.management.service.HealthSymptomService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 10:07:03
 */
@Api(tags = "症状库表")
@RestController
@RequestMapping("management/healthsymptom")
public class HealthSymptomController {
    @Autowired
    private HealthSymptomService healthSymptomService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = healthSymptomService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		HealthSymptomEntity healthSymptom = healthSymptomService.getById(id);

        return R.ok().put("healthSymptom", healthSymptom);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody HealthSymptomEntity healthSymptom){
		healthSymptomService.save(healthSymptom);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody HealthSymptomEntity healthSymptom){
		healthSymptomService.updateById(healthSymptom);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		healthSymptomService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

    /**
     * 查询全部
     */
    @RequestMapping("/findAll")
    public R findAll(){
        return R.ok().put("all",healthSymptomService.list());
    }
}
